Bug 225181 - Error badges forces rescan of Grails project
Error badges forces rescan of Grails project
Status: VERIFIED FIXED
Product: groovy
Classification: Unclassified
Component: Editor
7.2
PC Mac OS X
: P1 (vote)
: 7.3
Assigned To: Tomas Zezula
issues@groovy
: 73_HR_FIX
Depends on:
Blocks: 223776
  Show dependency treegraph
 
Reported: 2013-01-22 13:25 UTC by Tomas Zezula
Modified: 2013-01-24 08:48 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2013-01-22 13:25:27 UTC
Error badges forces rescan of Grails project.
The grails project is configured as a single compilation unit, when a one root of the peer roots is compiled the files from other peer roots with error needs to be checked for possible correction. It triggers a new non needed scan just after the initial scan.
Comment 1 Tomas Zezula 2013-01-22 13:27:48 UTC
Fixed jet-main 13d0450607e2.
Short term fix - disabling error badges, the long term (post 7.3) is a bit more difficult.
Comment 2 Quality Engineering 2013-01-23 02:49:27 UTC
Integrated into 'main-golden', will be available in build *201301230001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/13d0450607e2
User: Tomas Zezula <tzezula@netbeans.org>
Log: #225181:Error badges forces rescan of Grails project
Comment 3 Vladimir Riha 2013-01-23 10:34:07 UTC
verified in trunk, there are no error badges for Groovy files. Please continue with HR integration

Product Version: NetBeans IDE Dev (Build 201301230001)
Java: 1.7.0_11; Java HotSpot(TM) Client VM 23.6-b04
Runtime: Java(TM) SE Runtime Environment 1.7.0_11-b21
System: Linux version 3.2.0-35-generic-pae running on i386; UTF-8; en_US (nb)
Comment 4 Tomas Zezula 2013-01-23 18:18:34 UTC
Transplanted into NB 7.3 5ede9748b44c
Comment 5 Quality Engineering 2013-01-24 00:54:27 UTC
Integrated into 'releases', will be available in build *201301232200* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/5ede9748b44c
User: Tomas Zezula <tzezula@netbeans.org>
Log: #225181:Error badges forces rescan of Grails project
Comment 6 Vladimir Riha 2013-01-24 08:48:59 UTC
verified

Product Version: NetBeans IDE 7.3 RC1 (Build 201301232200)
Java: 1.7.0_11; Java HotSpot(TM) Client VM 23.6-b04
Runtime: Java(TM) SE Runtime Environment 1.7.0_11-b21
System: Linux version 3.2.0-35-generic-pae running on i386; UTF-8; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo